Advanced roadmap - Error #313

Roadmap does not show %done
2010-09-08 14:48 - Arn Vollebregt

Status: Rejected Start date:
Priority: Normal Due date:
Assignee: Emilio Gonzalez Montafia % Done:
Category: Roadmap Estimated time:
Target version: Advanced roadmap 0.2.0

Source: Redmine version:
Detected on version:

2010-09-08
2010-12-10
0%

0.00 hour

Description

Spent hours are shown instead:

roadmap.rhtml line12/13

completed_pourcent += version.spent_hours
closed_pourcent += version.closed_spent_hours

issues.rhtml line 41

" <td align=\"center\"><font color=\"#{color}\">#{begin_strike}#{ (("$.0£"

io0) + "%") if issue.estimated_hours}#{end_strike}</font></td>\n" +

issue.done_rat

History

#1 - 2010-09-08 15:24 - Emilio Gonzalez Montaha

Is the problem in the last version 0.1.07 | don't understand the problem, in the Roadmap of this project the isses show the done % perfectly.

If you have a public Redmine instance, please link it here with the Roadmap/Version/Milestone view with the problem.

#2 - 2010-09-08 16:19 - Arn Vollebregt
- File roadmap_1.png added

- File issue_1.png added

- File roadmap_2.png added

- File issue_2.png added

Emilio Gonzalez Montafa escribi6:

Is the problem in the last version 0.1.0?

| am using advanced_roadmap.0.1.0.tar.gz with Redmine 1.0.1.stable (MySQL)

| don't understand the problem, in the Roadmap of this project the isses show the done % perfectly.

If you have a public Redmine instance, please link it here with the Roadmap/Version/Milestone view with the problem.

| dont have a public instance, but | have attached screenshots for you.

This roadmap view does not show a %done:
http://ociotec.com/redmine/projects/advanced-roadmap/repository/entry/trunk/app/views/projects/roadmap.rhtml#L22
http://ociotec.com/redmine/projects/advanced-roadmap/repository/entry/trunk/app/views/versions/_issues.rhtml#L41
while the issue is in fact 30% done:
However, the %done still is not show for the overall project?

#3 - 2010-12-10 08:10 - Emilio Gonzalez Montaiha

The problem is that you haven't logged time for the issue, so the total can't be calculated...

#4 - 2010-12-10 08:11 - Emilio Gonzalez Montaia
- Due date set to 2010-12-10
- Status changed from New to Rejected

- % Done changed from 50 to 0

#5 - 2010-12-10 08:20 - Emilio Gonzalez Montafa
- Target version set to Advanced roadmap 0.2.0
